// Win32 basecode by Eikon
#include <windows.h>
#include <stdio.h>

LRESULT CALLBACK WndProc (HWND, UINT, WPARAM, LPARAM);              // WndProc Prototype

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,    // WinMain
                   PSTR szCmdLine, int iCmdShow)
{
    HWND        hwnd;                                               // Window Handle
    MSG         msg;                                                // Message Variable
    WNDCLASSEX  wndclass;                                           // Window Class

    wndclass.cbSize        = sizeof(wndclass);                      // Size
    wndclass.style         = CS_HREDRAW | CS_VREDRAW;               // Style
    wndclass.lpfnWndProc   = WndProc;                               // Message Handler
    wndclass.cbClsExtra    = 0;                                     // Extra bytes
    wndclass.cbWndExtra    = 0;
    wndclass.hInstance     = hInstance;                             // Window Instance
    wndclass.hIcon         = LoadIcon(NULL, IDI_WINLOGO);           // EXE Icon
    wndclass.hCursor       = LoadCursor(NULL, IDC_ARROW);           // Cursor

    wndclass.hbrBackground = (HBRUSH) GetStockObject (BLACK_BRUSH);
    wndclass.lpszMenuName  = NULL;                                  // Menu
    wndclass.lpszClassName = "Window Class 1";                      // Class Name
    wndclass.hIconSm       = LoadIcon (NULL, IDI_WINLOGO);          // APP Icon

    RegisterClassEx(&wndclass);

    hwnd = CreateWindow("Window Class 1",                           // Class Name
                        "Win32 basecode by Eikon",                  // Title
                        WS_OVERLAPPEDWINDOW,                        // Style
                        CW_USEDEFAULT,                              // X
                        CW_USEDEFAULT,                              // Y
                        CW_USEDEFAULT,                              // Width
                        CW_USEDEFAULT,                              // Height
                        NULL,                                       // Parent Handle
                        NULL,                                       // Menu Handle
                        hInstance,                                  // Instance
                        NULL);                                      // Pass Var/Struct

    ShowWindow(hwnd, iCmdShow);
    UpdateWindow(hwnd);

    while (GetMessage(&msg, NULL, 0, 0))                            // Program Loop
    {
        TranslateMessage(&msg);
        DispatchMessage(&msg);
    }

    return msg.wParam;
}

LRESULT CALLBACK WndProc(HWND hwnd, UINT iMsg, WPARAM wParam, LPARAM lParam)
{
    switch (iMsg)
    {
        case WM_CREATE:
            break;

        case WM_SIZE:
            break;

        case WM_PAINT:
            break;

        case WM_DESTROY:
            PostQuitMessage(0);
            break;
    }

    return DefWindowProc(hwnd, iMsg, wParam, lParam);
}
